# Generated by Django 3.2.2 on 2021-09-20 19:46

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import phonenumber_field.modelfields


class Migration(migrations.Migration):

    dependencies = [
        ('operators', '0006_add_domain'),
    ]

    operations = [
        migrations.CreateModel(
            name='CommunicationsSettingsModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('token', models.TextField(default='')),
                ('kind', models.PositiveIntegerField(choices=[(0, 'MessageBird'), (1, 'Twilio')], default=0)),
                ('extra_data', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('phone_sender', phonenumber_field.modelfields.PhoneNumberField(max_length=128, region=None)),
                ('email_sender', models.CharField(max_length=100)),
                ('company', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='operators.companymodel')),
            ],
        ),
    ]
